<form [formGroup]="FormGroupBusqueda">
    <!--<ng-template matStepLabel>Ubique el lugar para certificar</ng-template>-->
    <mat-drawer-container class="example-container" autosize>
        <mat-drawer id="drawer" #drawer position="end" mode="side">
            <div class="d-flex flex-column px-3">
                <div class="d-flex justify-content-end">
                    <button (click)="drawer.toggle()" mat-icon-button>
                                <mat-icon>arrow_forward</mat-icon>
                            </button>
                </div>
                <div class="my-2">
                    <b>Buscar</b>
                </div>
                <mat-form-field class="w-100" appearance="fill">
                    <mat-label>Distrito</mat-label>
                    <input formControlName="busdm" matInput />
                </mat-form-field>
                <mat-form-field class="w-100" appearance="fill">
                    <mat-label>UV</mat-label>
                    <input formControlName="busuv" matInput />
                </mat-form-field>
                <mat-form-field class="w-100" appearance="fill">
                    <mat-label>Manzana</mat-label>
                    <input formControlName="busmz" matInput />
                </mat-form-field>
                <mat-form-field class="w-100" appearance="fill">
                    <mat-label>Lote</mat-label>
                    <input formControlName="buslt" matInput />
                </mat-form-field>
                <div class="d-flex justify-content-between">
                    <button mat-button class="boton-buscar" (click)="buscarGeografico()">Buscar</button>
                    <button mat-button class="boton-limpiar" (click)="limpiarGeografico()">Limpiar</button>
                </div>
            </div>
            <div class="d-flex flex-column px-3">
                <div class="my-2">
                    <b>Buscar por coordenadas</b>
                </div>
                <mat-form-field class="w-100" appearance="fill">
                    <mat-label>X</mat-label>
                    <input formControlName="busx" matInput />
                </mat-form-field>
                <mat-form-field class="w-100" appearance="fill">
                    <mat-label>Y</mat-label>
                    <input formControlName="busy" matInput />
                </mat-form-field>
                <div class="d-flex justify-content-between">
                    <button mat-button class="boton-buscar" (click)="buscarCoordenada()">Buscar</button>
                    <button mat-button class="boton-limpiar" (click)="limpiarCoordenada()">Limpiar</button>
                </div>
            </div>
        </mat-drawer>
        <div id="map" name="map" style="height: 100vh" leaflet (leafletMapReady)="onMapReady($event)" (leafletClick)="agregarMarcadorJurisdiccion($event)" [leafletOptions]="options"></div>
    </mat-drawer-container>
    <button (click)="drawer.toggle()" id="sidebar" class="d-none"></button>

</form>